"""Removed employee

Revision ID: 59f232d3558b
Revises: 7ac98c240d74
Create Date: 2021-09-21 15:06:51.113684+02:00

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "59f232d3558b"
down_revision = "7ac98c240d74"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index("ix_Employee_email", table_name="Employee")
    op.drop_index("ix_Employee_name", table_name="Employee")
    op.drop_index("ix_Employee_sid", table_name="Employee")
    op.drop_constraint("ContactMoment_employee_id_fkey", "ContactMoment", type_="foreignkey")
    op.drop_table("Employee")
    op.drop_column("ContactMoment", "employee_id")

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###

    op.add_column(
        "ContactMoment",
        sa.Column("employee_id", sa.INTEGER(), autoincrement=False, nullable=True),
    )
    op.create_foreign_key(
        "ContactMoment_employee_id_fkey",
        "ContactMoment",
        "Employee",
        ["employee_id"],
        ["sid"],
    )
    op.create_table(
        "Employee",
        sa.Column(
            "sid",
            sa.INTEGER(),
            server_default=sa.text("nextval('\"Employee_sid_seq\"'::regclass)"),
            autoincrement=True,
            nullable=False,
        ),
        sa.Column(
            "uuid",
            postgresql.UUID(),
            server_default=sa.text("gen_random_uuid()"),
            autoincrement=False,
            nullable=False,
        ),
        sa.Column("name", sa.VARCHAR(), autoincrement=False, nullable=True),
        sa.Column("email", sa.VARCHAR(), autoincrement=False, nullable=True),
        sa.PrimaryKeyConstraint("sid", name="Employee_pkey"),
        sa.UniqueConstraint("uuid", name="Employee_uuid_key"),
    )
    op.create_index("ix_Employee_sid", "Employee", ["sid"], unique=False)
    op.create_index("ix_Employee_name", "Employee", ["name"], unique=False)
    op.create_index("ix_Employee_email", "Employee", ["email"], unique=False)
    # ### end Alembic commands ###
